Bug 118389 - Update port: graphics/pfstools More options
Update port: graphics/pfstools More options
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Rong-En Fan
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2007-12-02 18:20 UTC by ii
Modified: 2008-01-28 10:50 UTC (History)
1 user (show)

See Also:


Attachments
pfstools.diff (10.53 KB, patch)
2007-12-02 18:20 UTC, ii
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description ii 2007-12-02 18:20:01 UTC
Add the following options to control port dependencies:
    PPM     - Compile programs that use PPM (NetPBM)
    EXR     - Compile programs that use OpenEXR library
    TIFF    - Compile programs that use TIFF library
    QT      - Compile programs that use QT library
    IM      - Compile programs that use ImageMagick library
    GL      - Compile opengl code (pfsglview)
Comment 1 Edwin Groothuis freebsd_committer 2007-12-02 18:20:12 UTC
Responsible Changed
From-To: freebsd-ports-bugs->itetcu

itetcu@ wants his PRs (via the GNATS Auto Assign Tool)
Comment 2 Edwin Groothuis freebsd_committer 2007-12-02 18:20:15 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 doconnor 2007-12-10 00:19:39 UTC
The PR looks good to me, please commit it.

-- 
Daniel O'Connor software and network engineer
for Genesis Software - http://www.gsoft.com.au
"The nice thing about standards is that there
are so many of them to choose from."
  -- Andrew Tanenbaum
GPG Fingerprint - 5596 B766 97C0 0E94 4347 295E E593 DC20 7B3F CE8C
Comment 4 darius 2007-12-10 00:44:04 UTC
On Mon, 10 Dec 2007, Daniel O'Connor wrote:
> The PR looks good to me, please commit it.


Oops, from the wrong mail account, try again..

-- 
Daniel O'Connor software and network engineer
for Genesis Software - http://www.gsoft.com.au
"The nice thing about standards is that there
are so many of them to choose from."
  -- Andrew Tanenbaum
GPG Fingerprint - 5596 B766 97C0 0E94 4347 295E E593 DC20 7B3F CE8C
Comment 5 pav freebsd_committer 2007-12-10 08:44:19 UTC
State Changed
From-To: feedback->open

Maintainer approved
Comment 6 Mark Linimon freebsd_committer 2008-01-24 08:15:19 UTC
Responsible Changed
From-To: itetcu->freebsd-ports-bugs

With bugmeister hat on, reset itetcu's ownership of this one, since he has 
been inactive for some time.
Comment 7 Rong-En Fan freebsd_committer 2008-01-27 10:16:47 UTC
Responsible Changed
From-To: freebsd-ports-bugs->rafan

I'll take it.
Comment 8 dfilter freebsd_committer 2008-01-28 10:41:45 UTC
rafan       2008-01-28 10:41:39 UTC

  FreeBSD ports repository

  Modified files:
    graphics/pfstools    Makefile pkg-plist 
  Log:
  - Disable OCTAVE by default as it's broken (on octave-forge side)
  - Add more OPTIONS: PPM, EXR, TIFF, QT, IM, GL
  
  PR:             ports/118389
  Submitted by:   Iouri V. Ivliev <ii at any.com.ru>
  Approved by:    Daniel O'Connor <darius at dons.net.au> (maintainer)
  
  Revision  Changes    Path
  1.7       +128 -25   ports/graphics/pfstools/Makefile
  1.3       +40 -38    ports/graphics/pfstools/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 9 Rong-En Fan freebsd_committer 2008-01-28 10:41:46 UTC
State Changed
From-To: open->closed

Committed. Thanks!